{% extends "base.html" %}
{% load i18n%}

{% load quiz_tags %}


{% block title %} {{ quiz.title }} {% endblock %}
{% block description %} {{ quiz.title }} - {{ quiz.description }} {% endblock %}

{% block content %}


{% if question %}

  {% if progress %}
  <br>
    <div style="float: right;">
      Pregunta {{ progress.0|add:1 }} de {{ progress.1 }}
    </div>
    <br>
    <div class="progress">
      <div class="progress-bar progress-bar-success progress-bar-striped" role="progressbar" aria-valuenow="{{ progress.0|add:1|porcentage:progress.1 }}%" aria-valuemin="0" aria-valuemax="100" style="width: {{ progress.0|porcentage:progress.1 }}%">
      </div>
    </div>
  {% endif %}
<p class="lead">{{ question.content }}</p>

  <form action="" method="POST">{% csrf_token %}
    <input type=hidden name="question_id" value="{{ question.id }}">

    <ul class="list-group">

  	{% for answer in form.answers %}
  	  <li class="list-group-item">
  	    {{ answer }}
  	  </li>
  	{% endfor %}

    </ul>
    <input type="submit" value={% trans "Check" %} class="btn btn-large btn-block btn-warning" >
  </form>


{% endif %}

<hr>


{% endblock %}
